Skip to content
Navigation

Finalize artifact

POST
https://api.sureshake.com/v2/entities/{entityId}/vault/fundraising/artifacts/{artifactId}/finalize

Path parameters

  • entityId
    string
    required
    format: uuid
  • artifactId
    string
    required
    format: uuid

Request body JSON required

  • sha256
    string
    required
    pattern: ^[a-f0-9]{64}$
  • detectedMimeType
    application/pdf
    or
    application/vnd.openxmlformats-officedocument.presentationml.presentation
    or
    application/vnd.openxmlformats-officedocument.wordprocessingml.document
    or
    application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
    or
    text/csv
    or
    text/plain
    required
  • byteSize
    integer
    required
    minimum: 0
  • malwareScanStatus
    pending
    required

Returns

200

Default Response

JSON
  • data
    object
    required
    • id
      string
      required
      format: uuid
    • entityId
      string
      required
      format: uuid
    • collectionId
      string
      or null
      required
      format: uuid
    • artifactType
      pitch_deck
      or
      investment_memo
      or
      supporting_file
      required
    • filename
      string
      required
    • mimeType
      string
      required
    • byteSize
      number
      or null
      required
    • sha256
      string
      or null
      required
    • storageKey
      string
      or null
      required
    • uploadStatus
      upload_session_created
      or
      uploaded
      or
      finalized
      or
      failed
      required
    • malwareScanStatus
      pending
      or
      passed
      or
      failed
      required
    • malwareScanError
      string
      or null
      required
    • version
      number
      required
    • tokenRequired
      boolean
      required
    • tokenNetwork
      base-mainnet
      required
    • tokenGrantStatus
      not_requested
      or
      pending
      or
      granted
      or
      revoked
      or
      failed
      required
    • createdBy
      string
      required
    • createdAt
      string
      required
      format: date-time
    • updatedAt
      string
      required
      format: date-time
    • uploadUrl
      optional
      string
      or null
    • uploadMethod
      optional
      PUT
    • uploadHeaders
      optional
      map of
      string
    • uploadExpiresAt
      optional
      string
      format: date-time
  • meta
    optional
    object
    • timestamp
      string
      required
      format: date-time

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

409

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

503

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close